Skip to content

Get transaction details by reference

GET
/payments/transactions/{reference}

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

reference*
Type
string
Required

Responses

Success

application/json
JSON
{
  
"id": "string",
  
"policyId": "string",
  
"reference": "string",
  
"txnId": "string",
  
"externalTxnId": "string",
  
"partnerReference": "string",
  
"status": "string",
  
"type": "string",
  
"amount": 0,
  
"currency": "string",
  
"paymentMethod": "string",
  
"paymentGateway": "string",
  
"narration": "string",
  
"insuranceLevy": 0,
  
"exchangeRate": 0,
  
"billedAccount": "string",
  
"callbackUrl": "string",
  
"errorMessage": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"policy": {
  
  
"id": "string",
  
  
"policyNumber": "string",
  
  
"status": "string",
  
  
"startDate": "string",
  
  
"endDate": "string",
  
  
"basicPremium": 0,
  
  
"premiumLevy": 0,
  
  
"grossPremium": 0,
  
  
"currency": "string"
  
},
  
"eventHistory": [
  
  
{
  
  
  
"event": "string",
  
  
  
"timestamp": "string",
  
  
  
"detail": "string"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Built with ❤️ by Hobbiton Technologies